Bug 1253250 - (CVE-2015-5161) CVE-2015-5161 php-ZendFramework: XML external entity injection (XXE) on PHP FPM
CVE-2015-5161 php-ZendFramework: XML external entity injection (XXE) on PHP FPM
Status: CLOSED CURRENTRELEASE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20150812,repo...
: Security
Depends On: 1253251 1253252 1253253 1253254 1253255 1253256
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-13 06:27 EDT by Adam Mariš
Modified: 2016-11-08 11:14 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-09 04:12:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2015-08-13 06:27:36 EDT
XXE vulnerability was found in Zend Framework when using ZendXml on multibyte payloads allowing the attacker to perform the unauthorized access, remote command execution or DoS.

Affected versions are claimed to be <= 1.12.13 and <= 2.4.2.

External reference:
http://seclists.org/fulldisclosure/2015/Aug/46
Comment 1 Adam Mariš 2015-08-13 06:28:33 EDT
Created php-ZendFramework2 tracking bugs for this issue:

Affects: fedora-all [bug 1253252]
Comment 2 Adam Mariš 2015-08-13 06:28:36 EDT
Created php-ZendFramework tracking bugs for this issue:

Affects: fedora-all [bug 1253251]
Comment 3 Adam Mariš 2015-08-13 06:29:01 EDT
Created php-ZendFramework2 tracking bugs for this issue:

Affects: epel-6 [bug 1253254]
Comment 4 Adam Mariš 2015-08-13 06:29:04 EDT
Created php-ZendFramework tracking bugs for this issue:

Affects: epel-6 [bug 1253253]
Comment 5 Adam Mariš 2015-08-13 06:29:27 EDT
Created php-ZendFramework2 tracking bugs for this issue:

Affects: epel-7 [bug 1253256]
Comment 6 Adam Mariš 2015-08-13 06:29:29 EDT
Created php-ZendFramework tracking bugs for this issue:

Affects: epel-7 [bug 1253255]
Comment 7 Fedora Update System 2015-08-22 13:36:11 EDT
php-ZendFramework2-2.4.7-1.fc23, php-guzzle-Guzzle-3.9.3-5.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2015-08-27 14:27:06 EDT
php-ZendFramework2-2.4.7-1.fc22, php-guzzle-Guzzle-3.9.3-5.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2015-08-27 19:49:14 EDT
php-ZendFramework2-2.4.7-1.fc21, php-guzzle-Guzzle-3.9.3-5.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2015-09-14 23:53:31 EDT
php-ZendFramework2-2.4.7-2.el7, php-guzzle-Guzzle-3.9.3-5.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2016-08-08 17:48:24 EDT
php-ZendFramework2-2.2.10-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.
Comment 12 Shawn Iwinski 2016-08-08 21:46:37 EDT
All dependent bugs closed

Note You need to log in before you can comment on or make changes to this bug.